Summary: Script to Install AFS on a Fermi machine
Name: afs-fermi-nonis
Version: 3.5
Release: 1
Copyright:Transarc
Group: Fermi
Packager: Troy Dawson <dawson@fnal.gov>
Source: afs35ferminonis.tgz

%description
Arnold File Sharing version 3.5, setup for Fermilab.  
This rpm sets it up AFS 3.5 for a Fermilab Linux machine 
that is runinng kernel 2.2 and above.  It includes modules for kernels
2.2.12 and above.  It also installs a patched version of insmod
It also is especially designed to accept passwords only from the afs domain,
except for root.

%preun
/usr/sbin/uninstall-afs35-nonis 1

%prep
%setup

%install
install -m 0755 -d /usr/vice/etc
install -m 0755 -d /usr/vice/etc/C
install -m 0755 -d /usr/vice/cache
install -m 0755 -d /usr/vice/etc/modload

install -m 0644 CellServDB /usr/vice/etc/CellServDB
install -m 0644 ThisCell /usr/vice/etc/ThisCell
install -m 0644 afs.conf /usr/vice/etc/afs.conf
install -m 0744 afs.rc /usr/vice/etc/afs.rc
install -m 0744 afs.rc.original /usr/vice/etc/afs.rc.original
install -m 0744 afsd /usr/vice/etc/afsd
install -m 0644 cacheinfo /usr/vice/etc/cacheinfo
install -m 0644 afszcm.cat /usr/vice/etc/C/afszcm.cat
install -m 0644 libafs-2.2.2.mp.o /usr/vice/etc/modload/libafs-2.2.2.mp.o
install -m 0644 libafs-2.2.2.o /usr/vice/etc/modload/libafs-2.2.2.o
install -m 0644 libafs-2.2.3.mp.o /usr/vice/etc/modload/libafs-2.2.3.mp.o
install -m 0644 libafs-2.2.3.o /usr/vice/etc/modload/libafs-2.2.3.o
install -m 0644 libafs-2.2.5-15.mp.o /usr/vice/etc/modload/libafs-2.2.5-15.mp.o
install -m 0644 libafs-2.2.5-15.o /usr/vice/etc/modload/libafs-2.2.5-15.o
install -m 0644 libafs-2.2.10.mp.o /usr/vice/etc/modload/libafs-2.2.10.mp.o
install -m 0644 libafs-2.2.10.o /usr/vice/etc/modload/libafs-2.2.10.o
install -m 0644 libafs-2.2.12.mp.o /usr/vice/etc/modload/libafs-2.2.12.mp.o
install -m 0644 libafs-2.2.12.o /usr/vice/etc/modload/libafs-2.2.12.o
install -m 0644 afs.conf /etc/sysconfig/afs
install -m 0744 afs.rc /etc/rc.d/init.d/afs
install -m 0755 pam_afs.so.1 /lib/security/pam_afs.so.1
install -m 0644 chfn /etc/pam.d/chfn.new-afs
install -m 0644 chsh /etc/pam.d/chsh.new-afs
install -m 0644 ftp /etc/pam.d/ftp.new-afs
install -m 0644 gdm /etc/pam.d/gdm.new-afs
install -m 0644 kde /etc/pam.d/kde.new-afs
install -m 0644 linuxconf /etc/pam.d/linuxconf.new-afs
install -m 0644 linuxconf-pair /etc/pam.d/linuxconf-pair.new-afs
install -m 0644 login /etc/pam.d/login.new-afs
install -m 0644 passwd /etc/pam.d/passwd.new-afs
install -m 0644 ppp /etc/pam.d/ppp.new-afs
install -m 0644 rexec /etc/pam.d/rexec.new-afs
install -m 0644 rlogin /etc/pam.d/rlogin.new-afs
install -m 0644 xdm /etc/pam.d/xdm.new-afs
install -m 0644 xscreensaver /etc/pam.d/xscreensaver.new-afs
install -m 0700 install-afs35-nonis /usr/sbin/install-afs35-nonis
install -m 0700 uninstall-afs35-nonis /usr/sbin/uninstall-afs35-nonis
install -m 0755 insmod /sbin/insmod.transarc
echo "1" > /usr/sbin/afs-fermi-nonis-rpm-release

%post
/usr/sbin/install-afs35-nonis 1

%files
%dir /usr/vice/etc
%dir /usr/vice/etc/C
%dir /usr/vice/etc/modload
%dir /usr/vice/cache
/usr/vice/etc/CellServDB
/usr/vice/etc/ThisCell
/usr/vice/etc/afs.conf
/usr/vice/etc/afs.rc
/usr/vice/etc/afs.rc.original
/usr/vice/etc/afsd
/usr/vice/etc/cacheinfo
/usr/vice/etc/C/afszcm.cat
/usr/vice/etc/modload/libafs-2.2.2.mp.o
/usr/vice/etc/modload/libafs-2.2.2.o
/usr/vice/etc/modload/libafs-2.2.3.mp.o
/usr/vice/etc/modload/libafs-2.2.3.o
/usr/vice/etc/modload/libafs-2.2.5-15.mp.o
/usr/vice/etc/modload/libafs-2.2.5-15.o
/usr/vice/etc/modload/libafs-2.2.10.mp.o
/usr/vice/etc/modload/libafs-2.2.10.o
/usr/vice/etc/modload/libafs-2.2.12.mp.o
/usr/vice/etc/modload/libafs-2.2.12.o
/etc/sysconfig/afs
/etc/rc.d/init.d/afs
/lib/security/pam_afs.so.1
/etc/pam.d/chfn.new-afs
/etc/pam.d/chsh.new-afs
/etc/pam.d/ftp.new-afs
/etc/pam.d/gdm.new-afs
/etc/pam.d/kde.new-afs
/etc/pam.d/linuxconf.new-afs
/etc/pam.d/linuxconf-pair.new-afs
/etc/pam.d/login.new-afs
/etc/pam.d/passwd.new-afs
/etc/pam.d/ppp.new-afs
/etc/pam.d/rexec.new-afs
/etc/pam.d/rlogin.new-afs
/etc/pam.d/xdm.new-afs
/etc/pam.d/xscreensaver.new-afs
/usr/sbin/afs-fermi-nonis-rpm-release
/usr/sbin/install-afs35-nonis
/usr/sbin/uninstall-afs35-nonis
/sbin/insmod.transarc



